
/*********************************************************************

Copyright (C) 1995, Lawrence Berkeley Laboratory.  All Rights
Reserved.  Permission to copy and modify this software and its
documentation (if any) is hereby granted, provided that this notice
is retained thereon and on all copies.  

This software is provided as a professional academic contribution
for joint exchange.   Thus it is experimental and scientific
in nature, undergoing development, and is provided "as is" with
no warranties of any kind whatsoever, no support, promise of
updates or printed documentation.

This work is supported by the U. S. Department of Energy under 
contract number DE-AC03-76SF00098 between the U. S. Department 
of Energy and the University of California.


	Author: Wes Bethel
		Lawrence Berkeley Laboratory
                Berkeley, California 

  "this software is 100% hand-crafted by a human being in the USA"

*********************************************************************/
#ifndef __matrix_h
#define __matrix_h

#ifdef __cplusplus
extern "C" {
#endif

typedef struct
{
    float m[4][4];
} matrix4x4;

typedef struct
{
    float v[4];
} vector4;

typedef struct
{
    float v[3];
} avs_vertex;

typedef struct
{
    float v[3];
} vector3;

#define VCOPY(d,s) memcpy((char *)(d),(char *)(s),sizeof(vector3))

#ifdef __cplusplus 
}
#endif
#endif
